Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419821 - jadetex is missing the pdfjadetex.fmt format file
Summary: jadetex is missing the pdfjadetex.fmt format file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: texlive-extension
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1158231
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 07:26 UTC by Peter Bieringer
Modified: 2017-02-08 15:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1158231
Environment:
Last Closed: 2017-02-08 15:08:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Bieringer 2017-02-07 07:26:33 UTC
+++ This bug was initially created as a clone of Bug #1158231 +++

Description of problem:
missing pdfjadetex.fmt file: possibly the postinstall fails, possibly because of missing package dependencies

Version-Release number of selected component (if applicable):
texlive-jadetex.noarch        3:svn31988.3.13-5.fc20         

Steps to Reproduce:
1. pdfjadetex  test.tex 

Actual results:
I can't find the format file `pdfjadetex.fmt'!

--- Additional comment from Przemek Klosowski on 2014-10-28 17:35:18 EDT ---

I created the fmt file by hand; I had to come up with several style files:
dummyels.sty
mlnames.sty
ulem.sty
unicode.sty
ucharacters.sty

and install texlive-cyrillic to satisfy a requirement for t2aenc.def

--- Additional comment from Ondrej Vasik on 2014-10-28 17:40:24 EDT ---

jadetex is dead package, reassigning to texlive.

--- Additional comment from Przemek Klosowski on 2014-10-29 13:49:51 EDT ---

I tried to log it against texlive-jadetex but it didn't recognize that package, while recognizing jadetex.

--- Additional comment from Ondrej Vasik on 2014-10-29 14:15:00 EDT ---

Component is based on the srpm. rpm -qi texlive-jadetex contains the nvr of srpm - which corresponds with the name of component.
So proper steps are:
rpm -qf <file> to determine rpm
rpm -qi <rpm> to determine srpm

--- Additional comment from Fedora End Of Life on 2015-05-29 09:10:57 EDT ---

This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Fedora End Of Life on 2015-06-29 19:04:41 EDT ---

Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 1 Peter Bieringer 2017-02-07 07:29:50 UTC
ran into same issue using

docbook2pdf -c /etc/sgml/sgml-docbook-4.1.cat test.xml

while working fine on F25

Finally found after comparing the output and digging through all the log lines that a dependency somehow is missing.

EL7:
kpathsea: Running mktexmf ecrm1000
! I can't find file `ecrm1000'.
<*> ...ljfour; mag:=1; nonstopmode; input ecrm1000

F25:
rpm -qf /usr/share/texlive/texmf-dist/fonts/tfm/jknappen/ec/ecrm1000.tfm
texlive-ec-svn25033.1.0-30.fc25.noarch


after installing "texlive-ec" on EL7, everything is working fine.

Comment 3 Than Ngo 2017-02-08 15:08:26 UTC
(In reply to Peter Bieringer from comment #1)
> ran into same issue using
> 
> docbook2pdf -c /etc/sgml/sgml-docbook-4.1.cat test.xml
> 
> while working fine on F25
> 
> Finally found after comparing the output and digging through all the log
> lines that a dependency somehow is missing.
> 
> EL7:
> kpathsea: Running mktexmf ecrm1000
> ! I can't find file `ecrm1000'.
> <*> ...ljfour; mag:=1; nonstopmode; input ecrm1000
> 
> F25:
> rpm -qf /usr/share/texlive/texmf-dist/fonts/tfm/jknappen/ec/ecrm1000.tfm
> texlive-ec-svn25033.1.0-30.fc25.noarch
> 
> 
> after installing "texlive-ec" on EL7, everything is working fine.

i added texlive-extension package in epel7 last year which includes many texlive packages which are not included in rhel7. Please report to texlive-extensions package in epel7 if you want to have in the future.


Note You need to log in before you can comment on or make changes to this bug.